# $Revision: 1.1 $, $Date: 2002/05/04 21:45:05 $
Summary:	Dockable UPS Monitor
Summary(pl):	Dokowalny monitor UPS-w
Name:		wmnut
Version:	0.0.9
Release:	1
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://wmnut.tuxfamily.org/files/%{name}-%{version}.tar.bz2
URL:		http://wmnut.tuxfamily.org/
BuildRequires:	XFree86-devel
BuildRequires:	nut-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
WMNUT is an UPS/Battery Monitor. It is used to visually display and
interpret details of UPS/Battery status via NUT - Network UPS Tools
framework. WMNUT is dockable using WindowMaker and AfterStep
window managers.

%description -l pl
WMNUT jest monitorem stanu UPS-a i baterii. Suy do wizualnego
pokazywania i interpretacji szczegw stanu UPS-w i baterii poprzez
NUT - sieciowe narzdzia do UPS-w. WMNUT jest dokowalny pod kontrol
Window Makera lub AfterStepa.

%prep
%setup -q

%build
%{__make} -C wmnut \
	CC="%{__cc}" CFLAGS="%{rpmcflags}" \
	OBJNUT=/usr/lib/upsfetch.o

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir}}

install wmnut/wmnut $RPM_BUILD_ROOT%{_bindir}
install wmnut/wmnut.1 $RPM_BUILD_ROOT%{_mandir}/man1
install wmnut/wmnutrc $RPM_BUILD_ROOT%{_sysconfdir}

gzip -9nf BUGS CHANGES HINTS README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/wmnutrc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmnut.spec,v $
Revision 1.1  2002/05/04 21:45:05  qboosh
- new

